# debug/unordered_map File Reference

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file debug/unordered_map.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::__debug

## Classes

- class std::__debug::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc >
- class std::__debug::unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc >

## Defines

- #define _GLIBCXX_BASE
- #define _GLIBCXX_BASE
- #define _GLIBCXX_DEBUG_UNORDERED_MAP
- #define _GLIBCXX_STD_BASE
- #define _GLIBCXX_STD_BASE

## Functions

- template<typename _Key, typename _Tp, typename _Hash, typename _Pred, typename _Alloc> void std::__debug::swap (unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &&__y)
- template<typename _Key, typename _Tp, typename _Hash, typename _Pred, typename _Alloc> void std::__debug::swap (unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &&__x, unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Hash, typename _Pred, typename _Alloc> void std::__debug::swap (unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Hash, typename _Pred, typename _Alloc> void std::__debug::swap (unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &&__y)
- template<typename _Key, typename _Tp, typename _Hash, typename _Pred, typename _Alloc> void std::__debug::swap (unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &&__x, unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)
- template<typename _Key, typename _Tp, typename _Hash, typename _Pred, typename _Alloc> void std::__debug::swap (unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__x, unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc > &__y)